=== po/CMakeLists.txt ===
FILE (GLOB PO_FILES RELATIVE ${CMAKE_CURRENT_SOURCE_DIR} "*.po")

INCLUDE (CMakeDependentOption)

FUNCTION (SetTranslationOption PoName DefaultMode)
	SET (LangName "${PoName}")
	STRING (REGEX REPLACE "^ar$"	"Arabic"		LangName "${LangName}")
	STRING (REGEX REPLACE "^ast$"	"Asturian"		LangName "${LangName}")
	STRING (REGEX REPLACE "^bg$"	"Bulgarian"		LangName "${LangName}")
	STRING (REGEX REPLACE "^ca$"	"Catalan"		LangName "${LangName}")
	STRING (REGEX REPLACE "^cs$"	"Czech"			LangName "${LangName}")
	STRING (REGEX REPLACE "^da$"	"Danish"		LangName "${LangName}")
	STRING (REGEX REPLACE "^de$"	"German"		LangName "${LangName}")
	STRING (REGEX REPLACE "^el$"	"Greek"			LangName "${LangName}")
	STRING (REGEX REPLACE "^en_GB$"	"English"		LangName "${LangName}")
	STRING (REGEX REPLACE "^es$"	"Spanish"		LangName "${LangName}")
	STRING (REGEX REPLACE "^et_EE$"	"Estonian"		LangName "${LangName}")
	STRING (REGEX REPLACE "^eu$"	"Basque"		LangName "${LangName}")
	STRING (REGEX REPLACE "^fi$"	"Finnish"		LangName "${LangName}")
	STRING (REGEX REPLACE "^fr$"	"French"		LangName "${LangName}")
	STRING (REGEX REPLACE "^gl$"	"Galician"		LangName "${LangName}")
	STRING (REGEX REPLACE "^he$"	"Hebrew"		LangName "${LangName}")
	STRING (REGEX REPLACE "^hr$"	"Croatian"		LangName "${LangName}")
	STRING (REGEX REPLACE "^hu$"	"Hungarian"		LangName "${LangName}")
	STRING (REGEX REPLACE "^it$"	"Italian"		LangName "${LangName}")
	STRING (REGEX REPLACE "^it_CH$"	"Italian (Swiss)"	LangName "${LangName}")
	STRING (REGEX REPLACE "^ja$"	"Japanese"		LangName "${LangName}")
	STRING (REGEX REPLACE "^ko_KR$"	"Korean"		LangName "${LangName}")
	STRING (REGEX REPLACE "^lt$"	"Lithuanian"		LangName "${LangName}")
	STRING (REGEX REPLACE "^nl$"	"Dutch"			LangName "${LangName}")
	STRING (REGEX REPLACE "^nn$"	"Norwegian (Nynorsk)"	LangName "${LangName}")
	STRING (REGEX REPLACE "^pl$"	"Polish"		LangName "${LangName}")
	STRING (REGEX REPLACE "^pt_BR$"	"Portuguese (Brazilian)" LangName "${LangName}")
	STRING (REGEX REPLACE "^pt_PT$"	"Portuguese"		LangName "${LangName}")
	STRING (REGEX REPLACE "^ru$"	"Russian"		LangName "${LangName}")
	STRING (REGEX REPLACE "^sl$"	"Slovenian"		LangName "${LangName}")
	STRING (REGEX REPLACE "^sq$"	"Albanian"		LangName "${LangName}")
	STRING (REGEX REPLACE "^sv$"	"Swedish"		LangName "${LangName}")
	STRING (REGEX REPLACE "^tr$"	"Turkish"		LangName "${LangName}")
	STRING (REGEX REPLACE "^uk$"	"Ukrainian"		LangName "${LangName}")
	STRING (REGEX REPLACE "^zh_CN$"	"Chinese (Simplified)"	LangName "${LangName}")
	STRING (REGEX REPLACE "^zh_TW$"	"Chinese (Traditional)"	LangName "${LangName}")
	CMAKE_DEPENDENT_OPTION (TRANSLATION_${PoName} "Build ${LangName} translation" ${DefaultMode} ENABLE_NLS OFF)
ENDFUNCTION (SetTranslationOption)

FOREACH (PO_FILE ${PO_FILES})
	STRING (REGEX REPLACE ".po" "" PO_FILE ${PO_FILE})

	IF (TRANSLATIONS)
		STRING (REGEX MATCH "${PO_FILE}," TRANS "${TRANSLATIONS}")

		IF (TRANS)
			SetTranslationOption ("${PO_FILE}" ON)
		ELSE (TRANS)
			SetTranslationOption ("${PO_FILE}" OFF)
		ENDIF (TRANS)
	ELSE (TRANSLATIONS)
		SetTranslationOption ("${PO_FILE}" ON)
	ENDIF (TRANSLATIONS)

	IF (TRANSLATION_${PO_FILE})
		LIST (APPEND PO_BUILD ${PO_FILE}.po)
	ENDIF (TRANSLATION_${PO_FILE})
ENDFOREACH (PO_FILE ${PO_FILES})

GETTEXT_PROCESS_PO_FILES ("" ALL INSTALL_DESTINATION ${LOCALEDIR} PO_FILES ${PO_BUILD})
