=== unittests/CMakeLists.txt ===
ADD_SUBDIRECTORY (muleunit)
ADD_SUBDIRECTORY (tests)
