=== src/libs/CMakeLists.txt ===
IF (NEED_LIB_EC)
	ADD_SUBDIRECTORY (ec)
ENDIF (NEED_LIB_EC)

IF (NEED_LIB_MULECOMMON)
	ADD_SUBDIRECTORY (common)
ENDIF (NEED_LIB_MULECOMMON)
