=== src/skins/CMakeLists.txt ===
FILE (GLOB SKIN_FILES RELATIVE ${CMAKE_CURRENT_SOURCE_DIR} "*.zip")

FOREACH (SKIN_FILE ${SKIN_FILES})
	STRING (REGEX REPLACE ".zip" "" SKIN_FILE ${SKIN_FILE})

	OPTION (INSTALL_SKIN_${SKIN_FILE} "Install the \"${SKIN_FILE}\" skin" ON)

	IF (INSTALL_SKIN_${SKIN_FILE})
		LIST (APPEND SKIN_INSTALL ${SKIN_FILE}.zip)
	ENDIF (INSTALL_SKIN_${SKIN_FILE})
ENDFOREACH (SKIN_FILE ${SKIN_FILES})

INSTALL (FILES ${SKIN_INSTALL} 
	DESTINATION "${PKGDATADIR}/skins"
)
