=== debian/changelog ===
amule (1:2.3.3-3.2) unstable; urgency=medium

  * Non-maintainer upload
  * Rollback to the state of 1:2.3.3-3 as per the maintainer's request;
    Closes: #1095995

 -- Sven Geuer <sge@debian.org>  Sat, 15 Feb 2025 16:22:24 +0100

amule (1:2.3.3-3.1) unstable; urgency=medium

  * Non-maintainer upload
  * Introduce systemd unit; Closes: #1039123, #950427

 -- Sven Geuer <sge@debian.org>  Fri, 14 Feb 2025 21:24:10 +0100

amule (1:2.3.3-3) unstable; urgency=medium

  [ Debian Janitor ]
  * Apply multi-arch hints.
    + amule-common: Add Multi-Arch: foreign.
  * Use secure URI in Homepage field.
  * Drop transition for old debug package migration.
  * Update standards version to 4.6.0, no changes needed.
  * Remove constraints unnecessary since buster (oldstable):
    + Build-Depends: Drop versioned constraint on libupnp-dev (>= 1:1.6.24-4~).
    + amule: Drop conflict with removed package amule-common (<<
      2.2.0~svn20080525-1) in Replaces.
    + amule-common: Drop conflict with removed package amule-daemon (<< 2.1.2-3)
      in Replaces.
    + amule-common: Drop conflict with removed package amule-utils (<< 2.0.3-4)
      in Replaces.
    + amule-utils: Drop conflict with removed package amule (<< 2.1.2-1) in
      Replaces.
    + amule-utils: Drop conflict with removed package amule-common (<< 2.1.2-3)
      in Replaces.

  [ Pino Toscano ]
  * Drop menu files and their Debian-specific pixmaps, since amule &
    amule-utils-gui already provide .desktop files.

  [ Olly Betts ]
  * Update to use wxwidgets3.2 - new patch wx3.2.patch; Closes: #1019841

 -- Sandro Tosi <morph@debian.org>  Wed, 01 Mar 2023 01:32:05 -0500

amule (1:2.3.3-2) unstable; urgency=medium

  * rebuild to pick up libcrypto++8; Closes: #995282, #995285

 -- Sandro Tosi <morph@debian.org>  Thu, 30 Sep 2021 23:26:49 -0400

amule (1:2.3.3-1) unstable; urgency=low

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Rely on pre-initialized dpkg-architecture variables.

  [ Sandro Tosi ]
  * New upstream release
  * debian/control
    - extend packaging copyright years
    - run wrap-and-sort
    - bump Standards-Version to 4.5.1 (no changes needed)
  * set dh compat to 13
  * debian/rules
    - set hardening flags

 -- Sandro Tosi <morph@debian.org>  Tue, 09 Feb 2021 00:17:13 -0500
