## amule 2.4.0~git20151120.0023527bc2

=== debian/changelog ===
amule (2.4.0~git20151120.0023527bc2-1ubuntu1) xenial; urgency=medium

  * Install amule.png into hicolor (LP: #1557405)

 -- Iain Lane <iain@orangesquash.org.uk>  Tue, 15 Mar 2016 10:09:37 +0000
