=== debian/rules ===
--- 
+++ 
@@ -1,8 +1,4 @@
 #! /usr/bin/make -f
-
-export DEB_BUILD_MAINT_OPTIONS = hardening=+all
-DPKG_EXPORT_BUILDFLAGS = 1
-include /usr/share/dpkg/buildflags.mk
 
 ###
 
@@ -12,11 +8,11 @@
 	    --disable-dependency-tracking --disable-ccache --disable-debug		\
 	    --enable-amule-daemon --enable-amulecmd --enable-ed2k --enable-webserver	\
 	    --enable-amule-gui --enable-cas --enable-wxcas --enable-alc --enable-alcc	\
-	    --disable-embedded-crypto --enable-geoip --enable-upnp	\
+	    --enable-plasmamule --disable-embedded-crypto --enable-geoip --enable-upnp	\
 	    --with-denoise-level=0 --with-boost
-#	    --enable-plasmamule --disable-embedded-crypto --enable-geoip --enable-upnp	\
 
-include /usr/share/dpkg/architecture.mk
+DEB_HOST_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
+DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
 
 confflags += --build $(DEB_BUILD_GNU_TYPE)
 
@@ -47,14 +43,6 @@
 
 ###
 
-# Build flags
-
-ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
-    NJOBS := -j $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
-endif
-
-###
-
 configure:
 	./autogen.sh
 
@@ -63,6 +51,8 @@
 
 	ln -sf /usr/share/misc/config.sub .
 	ln -sf /usr/share/misc/config.guess .
+
+	ln -sf debian/amule-32.xpm amule.xpm
 
 	-mkdir $(objdir)
 	cd $(objdir) && \
@@ -79,7 +69,7 @@
 	dh_testdir
 
 	cd $(objdir) && \
-	$(MAKE) $(NJOBS) BFD_LIB= BFD_FLAGS=
+	$(MAKE) BFD_LIB= BFD_FLAGS=
 
 	touch $@
 
@@ -95,6 +85,8 @@
 	# Remove build tree
 	rm -rf $(objdir)
 	rm -f po/*.gmo
+
+	rm -f amule.xpm
 
 	dh_clean
 
@@ -113,8 +105,6 @@
 	cp $(CURDIR)/amule.png $(CURDIR)/debian/tmp/usr/share/icons/hicolor/128x128/apps
 
 	dh_install --sourcedir=debian/tmp
-
-	rm -f $(CURDIR)/debian/amule/usr/share/icons/hicolor/scalable/mimetypes/application-x-emulecollection.svg
 
 	touch $@
 
@@ -135,15 +125,15 @@
 	dh_installdocs
 	dh_installexamples
 	dh_installmime
+	dh_installmenu
 	dh_installdebconf
 	dh_installinit
-	dh_bugfiles -A
 	dh_installman
 	dh_lintian
 	dh_icons
 	dh_installgsettings -pamule-gnome-support
 	dh_link
-	dh_strip
+	dh_strip --dbg-package=amule-dbg
 	dh_compress
 	dh_fixperms
 	dh_installdeb
